Package org.eclipse.emf.compare.impl

# Class MatchResourceImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.compare.impl.MatchResourceImpl

All Implemented Interfaces:
  `Notifier`, `MatchResource`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`

public class MatchResourceImpl extends MinimalEObjectImpl.Container implements MatchResource
An implementation of the model object 'Match Resource'.

The following features are implemented:

- `Left URI`
- `Right URI`
- `Origin URI`
- `Left`
- `Right`
- `Origin`
- `Comparison`
- `Location Changes`

Generated:

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`copyright`
`protected Resource`
`left`
The cached value of the '`Left`' attribute.
`protected static final Resource`
`LEFT_EDEFAULT`
The default value of the '`Left`' attribute.
`protected static final String`
`LEFT_URI_EDEFAULT`
The default value of the '`Left URI`' attribute.
`protected String`
`leftURI`
The cached value of the '`Left URI`' attribute.
`protected EList<ResourceLocationChange>`
`locationChanges`
The cached value of the '`Location Changes`' containment reference list.
`protected Resource`
`origin`
The cached value of the '`Origin`' attribute.
`protected static final Resource`
`ORIGIN_EDEFAULT`
The default value of the '`Origin`' attribute.
`protected static final String`
`ORIGIN_URI_EDEFAULT`
The default value of the '`Origin URI`' attribute.
`protected String`
`originURI`
The cached value of the '`Origin URI`' attribute.
`protected Resource`
`right`
The cached value of the '`Right`' attribute.
`protected static final Resource`
`RIGHT_EDEFAULT`
The default value of the '`Right`' attribute.
`protected static final String`
`RIGHT_URI_EDEFAULT`
The default value of the '`Right URI`' attribute.
`protected String`
`rightURI`
The cached value of the '`Right URI`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MatchResourceImpl()`

## Method Summary

Modifier and Type
Method
Description
`NotificationChain`
`basicSetComparison(Comparison newComparison, NotificationChain msgs)`
`NotificationChain`
`eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`Comparison`
`getComparison()`
`Resource`
`getLeft()`
`String`
`getLeftURI()`
`EList<ResourceLocationChange>`
`getLocationChanges()`
`Resource`
`getOrigin()`
`String`
`getOriginURI()`
`Resource`
`getRight()`
`String`
`getRightURI()`
`void`
`setComparison(Comparison newComparison)`
`void`
`setLeft(Resource newLeft)`
`void`
`setLeftURI(String newLeftURI)`
`void`
`setOrigin(Resource newOrigin)`
`void`
`setOriginURI(String newOriginURI)`
`void`
`setRight(Resource newRight)`
`void`
`setRightURI(String newRightURI)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### copyright

public static final String copyright

See Also:
  - Constant Field Values
Generated:

### LEFT_URI_EDEFAULT

protected static final String LEFT_URI_EDEFAULT
The default value of the '`Left URI`' attribute.

See Also:
  - `getLeftURI()`
Generated:

### leftURI

protected String leftURI
The cached value of the '`Left URI`' attribute.

See Also:
  - `getLeftURI()`
Generated:

### RIGHT_URI_EDEFAULT

protected static final String RIGHT_URI_EDEFAULT
The default value of the '`Right URI`' attribute.

See Also:
  - `getRightURI()`
Generated:

### rightURI

protected String rightURI
The cached value of the '`Right URI`' attribute.

See Also:
  - `getRightURI()`
Generated:

### ORIGIN_URI_EDEFAULT

protected static final String ORIGIN_URI_EDEFAULT
The default value of the '`Origin URI`' attribute.

See Also:
  - `getOriginURI()`
Generated:

### originURI

protected String originURI
The cached value of the '`Origin URI`' attribute.

See Also:
  - `getOriginURI()`
Generated:

### LEFT_EDEFAULT

protected static final Resource LEFT_EDEFAULT
The default value of the '`Left`' attribute.

See Also:
  - `getLeft()`
Generated:

### left

protected Resource left
The cached value of the '`Left`' attribute.

See Also:
  - `getLeft()`
Generated:

### RIGHT_EDEFAULT

protected static final Resource RIGHT_EDEFAULT
The default value of the '`Right`' attribute.

See Also:
  - `getRight()`
Generated:

### right

protected Resource right
The cached value of the '`Right`' attribute.

See Also:
  - `getRight()`
Generated:

### ORIGIN_EDEFAULT

protected static final Resource ORIGIN_EDEFAULT
The default value of the '`Origin`' attribute.

See Also:
  - `getOrigin()`
Generated:

### origin

protected Resource origin
The cached value of the '`Origin`' attribute.

See Also:
  - `getOrigin()`
Generated:

### locationChanges

protected EList<ResourceLocationChange> locationChanges
The cached value of the '`Location Changes`' containment reference list.

Since:
  3.2
See Also:
  - `getLocationChanges()`
Generated:

## Constructor Details

### MatchResourceImpl

protected MatchResourceImpl()

Generated:

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `BasicEObjectImpl`
Generated:

### getLeftURI

public String getLeftURI()

Specified by:
  `getLeftURI` in interface `MatchResource`
Returns:
  the value of the 'Left URI' attribute.
See Also:
  - `MatchResource.setLeftURI(String)`
  - `ComparePackage.getMatchResource_LeftURI()`
Generated:

### setLeftURI

public void setLeftURI(String newLeftURI)

Specified by:
  `setLeftURI` in interface `MatchResource`
Parameters:
  `newLeftURI` - the new value of the 'Left URI' attribute.
See Also:
  - `MatchResource.getLeftURI()`
Generated:

### getRightURI

public String getRightURI()

Specified by:
  `getRightURI` in interface `MatchResource`
Returns:
  the value of the 'Right URI' attribute.
See Also:
  - `MatchResource.setRightURI(String)`
  - `ComparePackage.getMatchResource_RightURI()`
Generated:

### setRightURI

public void setRightURI(String newRightURI)

Specified by:
  `setRightURI` in interface `MatchResource`
Parameters:
  `newRightURI` - the new value of the 'Right URI' attribute.
See Also:
  - `MatchResource.getRightURI()`
Generated:

### getOriginURI

public String getOriginURI()

Specified by:
  `getOriginURI` in interface `MatchResource`
Returns:
  the value of the 'Origin URI' attribute.
See Also:
  - `MatchResource.setOriginURI(String)`
  - `ComparePackage.getMatchResource_OriginURI()`
Generated:

### setOriginURI

public void setOriginURI(String newOriginURI)

Specified by:
  `setOriginURI` in interface `MatchResource`
Parameters:
  `newOriginURI` - the new value of the 'Origin URI' attribute.
See Also:
  - `MatchResource.getOriginURI()`
Generated:

### getLeft

public Resource getLeft()

Specified by:
  `getLeft` in interface `MatchResource`
Returns:
  the value of the 'Left' attribute.
See Also:
  - `MatchResource.setLeft(Resource)`
  - `ComparePackage.getMatchResource_Left()`
Generated:

### setLeft

public void setLeft(Resource newLeft)

Specified by:
  `setLeft` in interface `MatchResource`
Parameters:
  `newLeft` - the new value of the 'Left' attribute.
See Also:
  - `MatchResource.getLeft()`
Generated:

### getRight

public Resource getRight()

Specified by:
  `getRight` in interface `MatchResource`
Returns:
  the value of the 'Right' attribute.
See Also:
  - `MatchResource.setRight(Resource)`
  - `ComparePackage.getMatchResource_Right()`
Generated:

### setRight

public void setRight(Resource newRight)

Specified by:
  `setRight` in interface `MatchResource`
Parameters:
  `newRight` - the new value of the 'Right' attribute.
See Also:
  - `MatchResource.getRight()`
Generated:

### getOrigin

public Resource getOrigin()

Specified by:
  `getOrigin` in interface `MatchResource`
Returns:
  the value of the 'Origin' attribute.
See Also:
  - `MatchResource.setOrigin(Resource)`
  - `ComparePackage.getMatchResource_Origin()`
Generated:

### setOrigin

public void setOrigin(Resource newOrigin)

Specified by:
  `setOrigin` in interface `MatchResource`
Parameters:
  `newOrigin` - the new value of the 'Origin' attribute.
See Also:
  - `MatchResource.getOrigin()`
Generated:

### getComparison

public Comparison getComparison()

Specified by:
  `getComparison` in interface `MatchResource`
Returns:
  the value of the 'Comparison' container reference.
See Also:
  - `MatchResource.setComparison(Comparison)`
  - `ComparePackage.getMatchResource_Comparison()`
  - `Comparison.getMatchedResources()`
Generated:

### basicSetComparison

public NotificationChain basicSetComparison(Comparison newComparison, NotificationChain msgs)

Generated:

### setComparison

public void setComparison(Comparison newComparison)

Specified by:
  `setComparison` in interface `MatchResource`
Parameters:
  `newComparison` - the new value of the 'Comparison' container reference.
See Also:
  - `MatchResource.getComparison()`
Generated:

### getLocationChanges

public EList<ResourceLocationChange> getLocationChanges()

Specified by:
  `getLocationChanges` in interface `MatchResource`
Returns:
  the value of the 'Location Changes' containment reference list.
Since:
  3.2
See Also:
  - `ComparePackage.getMatchResource_LocationChanges()`
Generated:

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `BasicEObjectImpl`
Generated:

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `BasicEObjectImpl`
Generated:

### eBasicRemoveFromContainerFeature

public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`
Generated:

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `BasicEObjectImpl`
Generated:

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `BasicEObjectImpl`
Generated:

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `BasicEObjectImpl`
Generated:

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `BasicEObjectImpl`
Generated:

### toString

public String toString()

Overrides:
  `toString` in class `BasicEObjectImpl`
Generated: